Migliora le performance del tuo negozio grazie al
Marketplace ufficiale di PrestaShop!

Confermo le mie informazioni personali per continuare

Ottimo, il tuo negozio adorerà! Il prodotto è stato aggiunto con successo al carrello

PHPListSync

Modulo PHPListSync

Sviluppato da Community developer
  • PrestaShop
    1.5.0.0 - 1.7.1.2
module - Newsletter & SMS - PHPListSync - 1
module - Newsletter & SMS - PHPListSync - 2
module - Newsletter & SMS - PHPListSync - 3

Descrizione

Sincronizza i clienti di Prestashop con il database di PHPList 

Ciò che questo prodotto ti offre

Potrete utilizzare PHPList, la famosa applicazione web ricca di funzionalità, per inviare le vostre newsletter ai vostri clienti registrati sul vostro negozio Prestashop 

Funzioni

  • Compatibile con Prestashop 1.6
  • Compatibile con il modulo “Newsletter block”
  • Potrete scegliere la lista di PHPList da assegnare ai client Prestashop iscritti alle newsletter
  • Potrete scegliere un’altra lista di PHPList da assegnare ai client Prestashop che hanno aderito a ricevere informazioni commerciali da terze parti (Opt-in)
  • I clienti sono aggiunti e rimossi alle liste di PHPList in base alla loro sottoscrizione alle newsletter di Prestashop
  • Funzionalità di Auto Update che sincronizza i database di PS e di PHPList quando viene creato o modificato il profilo di un cliente, sia da Back Office che da Front Office
  • Sincronizzazione dello stato dell’iscrizione alle newsletter su Prestashop in caso di cancellazione di quest’ultima tramite l’URL di cancellazione di PHPList o in caso di blacklisting 
  • Opzione di Auto Delete dal database di PHPList dei client rimossi da Prestashop
  • Procedura automatica di aggiunta degli attributi e delle liste necessare al DB di PHPList in fase di prima configurazione
  • URL esterna per la programmazione periodica della sincronizzazione

Supporto e aggiornamenti

Disponi automaticamente di 3 mesi di supporto per questo prodotto.

Per 90 giorni dopo l'acquisto, benefici di un'assistenza tecnica e funzionale, oltre che dell'accesso agli aggiornamenti disponibili per questo prodotto.

Altro

Installazione:
  • Installare il file zip tramite il pannello di amministrazione dei moduli di Prestashop.
  • Nel pannello di configurazione del modulo configurare il nome del database di PHPList e il prefisso delle sue tabelle, quindi premere il tasto “Salva”.
  • Se è la prima volta che installate il modulo, questo controllerà la presenza degli attributi necessari di PHPList (ps_firstname e ps_lastname) e la presenza di almeno due liste configurate in PHPList. Se gli attributi non vengono rilevati o se è presente soltanto una lista, il modulo vi proporrà di correggere i problemi. Premete semplicemente sul tasto “Correggi”.
  • Se PHPListSync è stato installato prima del modulo Newsletter Block, oppure se quest’ultimo è stato disinstallato e successivamente reinstallato, per un corretto funzionamento della sincronizzazione automatica controllare che nel pannello di amministrazione dell’ordine dei moduli, alla voce “displayFooter”, il modulo PHPListSync sia elencato in una posizione successiva a quella del modulo Newsletter Block. In caso contrario modificarne l’ordine.
  • Se non riscontrerete alcun errore di connessione del Database e il pannello di configurazione di PHPListSync vi proporrà un menu a tendina contenente la lista delle liste configurate in PHPList allora il modulo è correttamente connesso al DB di PHPList ed operativo.
  • Raccomandazioni:
    Per favore, tenete presente che il database di PHPList dovrà essere installato all’interno della stessa istanza MySQL usata dal database di Prestashop e che l’utente MySQL usato nell’installazione del vostro negozio Prestashop dovrà avere pieni diritti di accesso e modifica al database di PHPList (i privilegi di un utente sono generalmente configurabili attraverso l’applicazione PHPMyAdmin o tramite il cPanel messo a disposizione dal vostro provider).
    Questo modulo effettuerà l’override dei seguenti Controller e Metodi di Prestashop:

    IdentityController
    postProcess
    AdminCustomerController
    initContent
    processUpdate
    processDelete
    processAdd
    processChangeOptinVal
    processChangeNewsletterVal
    AdminModulesController
    postProcessCallback

    Potreste ricevere un errore durante l’installazione del modulo che riporta l’impossibilità di installare l’override del metodo nel caso in cui aveste già installato un altro modulo che effettua lo stesso override di uno dei citati metodi. In questo caso PHPListSync non sarà in grado di sincronizzare automaticamente il DB fino a quando non fonderete il contenuto del vostro file IdentityController.php all’interno della cartella /override/controllers/front e del file AdminCustomersController.php e AdminModulesController.php all’interno di /override/controllers/admin della vostra installazione di Prestashop con il codice fornito all’interno del manuale del modulo. PHPListSync effettua l’override di più metodi. Soltanto i metodi che non è stato possibile installare automaticamente perché già presenti dovranno essere fusi manualmente con il codice esistente.

    Ciò che i tuoi clienti apprezzeranno


     

    Acquistati di solito insieme

    PHPListSync
    Stampa di etichette Pro
    Video prodotto - YouTube
    • Community developer Sviluppato da

      PrestaShop v1.5.0.0 - v1.7.1.2 Compatibilità

    • PrestaShop Sviluppato da

      PrestaShop v1.4.0.1 - v1.7.2.1 Compatibilità

    • PrestaShop Sviluppato da

      PrestaShop v1.3.0.0 - v1.7.2.1 Compatibilità

    $134.97 Aggiungi tutti e tre al carrello

    I migliori prodotti di questo sviluppatore - Mostra ulteriori dettagli

    Novità nella versione 0.6.3(04/04/2017)

    • Updated compatibility for Prestashop 1.7

    Informazioni sullo sviluppatore

    Community developer

    Hai una domanda?
    Bisogno di aiuto?

    Lo sviluppatore ti risponde in
    it fr en

    $54.99

    Vantaggi:

    • Compatibilità v1.5.0.0 - v1.7.1.2

    • Versione 0.6.3 (04/04/2017)

    • Già tradotto in en it fr

    Hai una domanda? Contatta lo sviluppatore
    Lo sviluppatore ti risponde in

    it fr en